﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication4
{
	public partial class Form1 : Form
	{
		public Form1 ()
		{
			InitializeComponent();
		}

		bool inChanging = false;

		private void TextBoxSizeChanged (object sender, EventArgs e)
		{
			if (inChanging)
			{
				return;
			}
			var textBox = (TextBox)sender;
			var oldFont = textBox.Font;

			var height = textBox.ClientSize.Height;
			inChanging = true;
			var newFont = new Font(oldFont.FontFamily, height, oldFont.Style, GraphicsUnit.Pixel);
			textBox.Font = newFont;
			inChanging = false;

			oldFont.Dispose();
		}

		private void textBox1_TextChanged (object sender, EventArgs e)
		{
			textBox3.Text = textBox1.Text;
		}

		private void textBox2_TextChanged (object sender, EventArgs e)
		{
			textBox4.Text = textBox2.Text;
		}
	}
}
